Subject: Experience with Zyossia Grass?

From: [email-masked] (Sprngr Boy)
Date: 3 Mar 1995 11:29:50 -0500

Has anybody tried the Zyossia grass seed plugs?  I would like to add it to
existing grass to fill it in better. The ads make it seem too good to be
true -- which usually means it is.  Anybody got a recommendation?  Thanks.